- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Attributes | List of all members
libepubgen::EPUBCSSSink Class Reference

`#include <EPUBCSSSink.h>`

## Public Member Functions
| EPUBCSSSink ()
void | insertRule (const librevenge::RVNGString &selector, const librevenge::RVNGPropertyList &properties)
void | writeTo (EPUBPackage &package, const char *name)

## Private Types
typedef std::vector< std::pair< librevenge::RVNGString, librevenge::RVNGPropertyList > > | Rules_t

## Private Attributes
Rules_t | m_rules

## Member Typedef Documentation

typedef std::vector<std::pair<librevenge::RVNGString, librevenge::RVNGPropertyList> > libepubgen::EPUBCSSSink::Rules_t
| private

## Constructor & Destructor Documentation

libepubgen::EPUBCSSSink::EPUBCSSSink | ( |  | ) |

## Member Function Documentation

void libepubgen::EPUBCSSSink::insertRule | ( | const librevenge::RVNGString & | selector,
|  | const librevenge::RVNGPropertyList & | properties
| ) |  |

Referenced by libepubgen::EPUBParagraphStyleManager::send(), libepubgen::EPUBSpanStyleManager::send(), libepubgen::EPUBTableStyleManager::send(), and libepubgen::EPUBListStyleManager::send().

void libepubgen::EPUBCSSSink::writeTo | ( | EPUBPackage & | package,
|  | const char * | name
| ) |  |

Referenced by libepubgen::EPUBGenerator::writeStylesheet().

## Member Data Documentation

Rules_t libepubgen::EPUBCSSSink::m_rules
| private

Referenced by insertRule(), and writeTo().

The documentation for this class was generated from the following files:

- EPUBCSSSink.h
- EPUBCSSSink.cpp